!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Lookup by skill name
skill = client.agent.skills.get(name="invoice-extraction")
# Lookup by skill name and version
skill = client.agent.skills.get(name="invoice-extraction", version="20260219-abc123")
# Lookup by skill ID
skill = client.agent.skills.get(id="<skill-id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
// Lookup by skill name
const skill1 = await client.agent.skills.get({ name: "invoice-extraction" });
// Lookup by skill name and version
const skill2 = await client.agent.skills.get({ name: "invoice-extraction", version: "20260219-abc123" });
// Lookup by skill ID
const skill3 = await client.agent.skills.get({ id: "<skill-id>" });
console.log(skill1);
curl -X POST "https://api.vlm.run/v1/skills/lookup" \
-H "Authorization: Bearer <VLMRUN_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name": "invoice-extraction"}'
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"skill_version": "latest",
"skill_uri": "<string>",
"is_public": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Skills
Lookup Skill
Lookup a skill by ID, name, or name+version.
POST
/
v1
/
skills
/
lookup
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Lookup by skill name
skill = client.agent.skills.get(name="invoice-extraction")
# Lookup by skill name and version
skill = client.agent.skills.get(name="invoice-extraction", version="20260219-abc123")
# Lookup by skill ID
skill = client.agent.skills.get(id="<skill-id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
// Lookup by skill name
const skill1 = await client.agent.skills.get({ name: "invoice-extraction" });
// Lookup by skill name and version
const skill2 = await client.agent.skills.get({ name: "invoice-extraction", version: "20260219-abc123" });
// Lookup by skill ID
const skill3 = await client.agent.skills.get({ id: "<skill-id>" });
console.log(skill1);
curl -X POST "https://api.vlm.run/v1/skills/lookup" \
-H "Authorization: Bearer <VLMRUN_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name": "invoice-extraction"}'
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"skill_version": "latest",
"skill_uri": "<string>",
"is_public": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Lookup by skill name
skill = client.agent.skills.get(name="invoice-extraction")
# Lookup by skill name and version
skill = client.agent.skills.get(name="invoice-extraction", version="20260219-abc123")
# Lookup by skill ID
skill = client.agent.skills.get(id="<skill-id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
// Lookup by skill name
const skill1 = await client.agent.skills.get({ name: "invoice-extraction" });
// Lookup by skill name and version
const skill2 = await client.agent.skills.get({ name: "invoice-extraction", version: "20260219-abc123" });
// Lookup by skill ID
const skill3 = await client.agent.skills.get({ id: "<skill-id>" });
console.log(skill1);
curl -X POST "https://api.vlm.run/v1/skills/lookup" \
-H "Authorization: Bearer <VLMRUN_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name": "invoice-extraction"}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to lookup a skill.
The name of the skill (e.g. 'pillow', 'batch-processing')
The ID of the skill (UUID)
Skill version to look up (e.g. '20260219-abc123'). When provided with name, filters by exact version instead of returning latest.
DEPRECATED: Use 'skill_version' instead.
Response
Successful Response
Skill information response.
Unique skill identifier
Name of the skill
Description of the skill
Version of the skill
GCS URI of the skill zip file
Whether the skill is publicly accessible
Date and time when the skill was created
Date and time when the skill was updated